#include <bits/stdc++.h>

using namespace std;

int main()
{

string s;
cin>>s;
int a1,a2;
cin>>a1>>a2;
if(s[0]==s[1] || abs(a1-a2)>1)cout<<"nemoguce";
else{
    if(a1<a2)cout<<s[1];
    for(int i=0;i<min(a1,a2);i++)
    {
        cout<<s;
    }
    if(a1>a2)cout<<s[0];
    
}
}